package cn.com.qmth.stmms.biz.exam.bean;

import java.util.Set;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotEmpty;

import cn.com.qmth.stmms.biz.exam.enums.ExportColsType;

public class ExportColsSave {

    @NotNull(message = "type不能为空")
    private ExportColsType type;

    @NotEmpty(message = "cols不能为空")
    private Set<String> cols;

    public ExportColsType getType() {
        return type;
    }

    public void setType(ExportColsType type) {
        this.type = type;
    }

    public Set<String> getCols() {
        return cols;
    }

    public void setCols(Set<String> cols) {
        this.cols = cols;
    }

}
