package cn.com.qmth.stmms.biz.exam.bean;

import cn.com.qmth.stmms.common.annotation.ExcelField;
import io.swagger.annotations.ApiModelProperty;

public class SubjectQualityVo {

    private String subjectCode;

    @ExcelField(title = "科目", align = 2, sort = 10)
    @ApiModelProperty("科目")
    private String subjectText;

    private Integer groupNumber;

    private String groupName;

    @ExcelField(title = "分组", align = 2, sort = 20)
    @ApiModelProperty("分组")
    private String groupText;

    @ExcelField(title = "任务总量", align = 2, sort = 30)
    @ApiModelProperty("任务总量")
    private Integer totalCount = 0;

    @ExcelField(title = "已完成", align = 2, sort = 40)
    @ApiModelProperty("已完成")
    private Integer finishCount = 0;

    @ExcelField(title = "仲裁卷数", align = 2, sort = 50)
    @ApiModelProperty("仲裁卷数")
    private Integer arbitrateCount = 0;

    @ExcelField(title = "仲裁率", align = 2, sort = 60)
    @ApiModelProperty("仲裁率")
    private String arbitrateRatio;

    // 不含仲裁完成数
    @ApiModelProperty(hidden = true)
    private Integer finishCountNa = 0;

    @ExcelField(title = "已完成仲裁", align = 2, sort = 70)
    @ApiModelProperty("已完成仲裁")
    private Integer finishArbitrateCount = 0;

    @ExcelField(title = "待处理仲裁", align = 2, sort = 80)
    @ApiModelProperty("待处理仲裁")
    private Integer waitArbitrateCount = 0;

    @ApiModelProperty(hidden = true)
    private String subjectName;

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectText() {
        return subjectText;
    }

    public void setSubjectText(String subjectText) {
        this.subjectText = subjectText;
    }

    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getGroupText() {
        return groupText;
    }

    public void setGroupText(String groupText) {
        this.groupText = groupText;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getFinishCount() {
        return finishCount;
    }

    public void setFinishCount(Integer finishCount) {
        this.finishCount = finishCount;
    }

    public Integer getFinishCountNa() {
        return finishCountNa;
    }

    public void setFinishCountNa(Integer finishCountNa) {
        this.finishCountNa = finishCountNa;
    }

    public Integer getWaitArbitrateCount() {
        return waitArbitrateCount;
    }

    public void setWaitArbitrateCount(Integer waitArbitrateCount) {
        this.waitArbitrateCount = waitArbitrateCount;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getArbitrateCount() {
        return arbitrateCount;
    }

    public void setArbitrateCount(Integer arbitrateCount) {
        this.arbitrateCount = arbitrateCount;
    }

    public String getArbitrateRatio() {
        return arbitrateRatio;
    }

    public void setArbitrateRatio(String arbitrateRatio) {
        this.arbitrateRatio = arbitrateRatio;
    }

    public Integer getFinishArbitrateCount() {
        return finishArbitrateCount;
    }

    public void setFinishArbitrateCount(Integer finishArbitrateCount) {
        this.finishArbitrateCount = finishArbitrateCount;
    }

}
